Skip to content

Save the sunset policy (applies at the next nightly run)

PUT
/api/v1/workspaces/{workspace}/audience/sunset-policy
curl --request PUT \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/audience/sunset-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "activeDays": 1, "atRiskDays": 1, "countMachineOpens": true, "deleteAfter": true, "deleteAfterMonths": 1, "enabled": true, "enabledAt": "example", "reengage": true, "reengageAutomation": "example", "stopAfterDays": 1, "stopBroadcasts": true, "sunsetDays": 1 }'

Permission: lists:manage

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
activeDays
required
integer format: int64
>= 1 <= 3650
atRiskDays
required
integer format: int64
>= 2 <= 3650
countMachineOpens
required
boolean
deleteAfter
required
boolean
deleteAfterMonths
required
integer format: int64
>= 1 <= 120
enabled
required
boolean
enabledAt
string
reengage
required
boolean
reengageAutomation

Name of the automation that sends it

string
stopAfterDays
required
integer format: int64
>= 1 <= 365
stopBroadcasts
required
boolean
sunsetDays
required
integer format: int64
>= 3 <= 3650

Example generated

{
"activeDays": 1,
"atRiskDays": 1,
"countMachineOpens": true,
"deleteAfter": true,
"deleteAfterMonths": 1,
"enabled": true,
"enabledAt": "example",
"reengage": true,
"reengageAutomation": "example",
"stopAfterDays": 1,
"stopBroadcasts": true,
"sunsetDays": 1
}

OK

Media typeapplication/json
object
activeDays
required
integer format: int64
>= 1 <= 3650
atRiskDays
required
integer format: int64
>= 2 <= 3650
countMachineOpens
required
boolean
deleteAfter
required
boolean
deleteAfterMonths
required
integer format: int64
>= 1 <= 120
enabled
required
boolean
enabledAt
string
reengage
required
boolean
reengageAutomation

Name of the automation that sends it

string
stopAfterDays
required
integer format: int64
>= 1 <= 365
stopBroadcasts
required
boolean
sunsetDays
required
integer format: int64
>= 3 <= 3650

Example generated

{
"activeDays": 1,
"atRiskDays": 1,
"countMachineOpens": true,
"deleteAfter": true,
"deleteAfterMonths": 1,
"enabled": true,
"enabledAt": "example",
"reengage": true,
"reengageAutomation": "example",
"stopAfterDays": 1,
"stopBroadcasts": true,
"sunsetDays": 1
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}